<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<div class="card border-0">
  <div class="table-menu distribution-groups">
    <div class="table-menu-row table-menu-row-flow-right">
      <h6 class="mr-auto">{{ 'GridFailure.DistributionGroups' | translate }}</h6>
      <select type="text" [(ngModel)]="selectedGroup" class="form-control col-sm-3">
        <option [value]="selectedGroup" disabled>{{ 'SelectOption' | translate }}</option>
        <option *ngFor="let item of detailsSandbox.distributionGroups$ | async" [ngValue]="item">{{ item.name }}</option>
      </select>
      <button
        type="button"
        class="btn btn-primary btn-sm"
        (click)="detailsSandbox.createDistributionGroupAssignment(selectedGroup); clearSelectedGroup(); changed.emit()"
      >
        {{ 'GridFailure.AssignGroupBtn' | translate }}
      </button>
    </div>
  </div>
  <div class="distribution-group-table">
    <ag-grid-angular
      autoResizeColumns
      class="ag-theme-balham"
      [gridOptions]="gridOptions"
      [columnDefs]="columnDefinition"
      [rowSelection]="'single'"
      [frameworkComponents]="frameworkComponents"
      [rowData]="detailsSandbox.gridFailureDistributionGroups$ | async"
      [overlayNoRowsTemplate]="noRowsTemplate"
    >
    </ag-grid-angular>
    <app-spinner [isRunning]="detailsSandbox.gridFailureDistributionGroupsLoading$ | async"></app-spinner>
  </div>
</div>
